Computed Queries
Manage computed queries, presets, report groups, workflow presets, fields, validation, execution, and exports with the VARIO Cloud REST API.
request to our CUnitTemplates
Preset-ID
OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
}Filter-Id
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1076
{
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
}Filter-Id
OK
message context
message
DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Bound report group (or empty body if none)
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
Bound report group (or empty body if none)
{
"groupId": "text",
"identifier": "text",
"label": "text",
"reportCount": 1
}Stub group created and bound to the preset
POST /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
Stub group created and bound to the preset
{
"groupId": "text",
"identifier": "text",
"label": "text",
"reportCount": 1
}Identifier of an existing output report group in the cunit module
Group bound to the preset
PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"identifier": "text"
}Group bound to the preset
{
"groupId": "text",
"identifier": "text",
"label": "text",
"reportCount": 1
}Binding removed
No content
DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group HTTP/1.1
Host: api.example.com
Accept: */*
Binding removed
No content
CUnit-Vorlage zum erzeugen des Imports
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: bei mode == STATEMENT, das vql-query
ID eines Presets
successful operation
Der Ergebniscontainer
query was not valid to process
POST /cmn/computed-queries/{group-key}/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1446
{
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
}{
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"data": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}Exportformate
Dateiname (ohne Endung) bei einem Dateiexport
Ausgabe-Typ
outputGroup Identifier (optional)
ist veröffentlicht?
falseRequest is processed and returned as Stream
Request is accepted and processing in progress
POST /cmn/computed-queries/{group-key}/{id}/print HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1572
{
"exportFormat": "PDF",
"exportFilename": "text",
"outputType": "text",
"groupIdentifier": "text",
"published": false,
"presetRequest": {
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
}
}OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
GET /cmn/computed-queries/{group-key}/{id}/presets HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]label für diesen filter
QueryMode
Optional ein VQL Query (bei Mode:STATEMENT)
für Workflows vorgesehen
falseOK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
POST /cmn/computed-queries/{group-key}/{id}/presets HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 884
{
"label": "text",
"mode": "QUERY",
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"arithmeticQueryTerms": [],
"queryStatement": "text",
"forWorkflow": false
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
}If true, the entire JRXML is regenerated and any JasperStudio layout customizations are discarded. Default false keeps customizations and only refreshes the query string and field declarations.
falseStub regenerated (created if missing)
POST /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group/sync HTTP/1.1
Host: api.example.com
Accept: */*
Stub regenerated (created if missing)
{
"groupId": "text",
"identifier": "text",
"label": "text",
"reportCount": 1
}CUnit-Vorlage zum erzeugen des Imports
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: bei mode == STATEMENT, das vql-query
ID eines Presets
OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
POST /cmn/computed-queries/{group-key}/{id}/presets/adhoc HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1446
{
"mode": "QUERY",
"queryStatement": "text",
"presetId": "text",
"adhocPreset": {
"version": "text",
"info": {},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"permissionAggregation": {
"version": "text",
"info": {},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {},
"id": "text",
"pinned": false
}
},
"overrideResults": [],
"arithmeticQueryTerms": [],
"additionalPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"pageable": {
"start": 1,
"limit": 1,
"sortOrders": []
},
"variableSubstitutionList": {
"variableSubstitutions": []
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
}das statement
optionaler wert für limit (wird gerne zusätzlich von tools mitgegeben)
optionaler wert für offset (wird gerne zusätzlich von tools mitgegeben)
OK
Der Ergebniscontainer
POST /cmn/computed-queries/execute HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"statement": "text",
"limit": 1,
"offset": 1,
"variableSubstitutionList": {
"variableSubstitutions": []
}
}OK
{
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"data": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
}
}OK
der group key
beschreibung der gruppe
GET /cmn/computed-queries HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]OK
das definierende Template
Bezeichnung des Templates
GET /cmn/computed-queries/{group-key} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Filter-Id
OK
GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/validate HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"checkedPreset": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
},
"validationErrors": []
}OK
GET /cmn/computed-queries/{group-key}/{id}/fields HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"attributes": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
},
{
"key": "text",
"attribute": "text",
"path": "text",
"displayName": "text",
"displayNameOverride": false,
"groupDisplayName": "text",
"parentDisplayName": "text",
"resultable": true,
"filterable": true,
"sortable": true,
"visible": true,
"functions": [
"text"
],
"sortDirection": "text",
"constraint": {
"minLength": 1,
"maxLength": 1,
"minValue": 1,
"includeMinValue": true,
"maxValue": 1,
"includeMaxValue": true,
"notNull": false,
"notBlank": true,
"digitsFraction": 1
},
"dataType": {
"identifier": "text",
"jsType": "text",
"objectRefIdentifier": "text",
"filterOptions": {
"filterValues": [
"text"
],
"filterDialog": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"multipleChoice": false
},
"functions": [
"text"
],
"predicateOperations": [
"AND"
]
},
"dataTypeIdentifier": "text",
"modelType": "STATIC",
"entityIdentifier": "text",
"referencedEntityIdentifier": "text",
"headers": []
}
]
}OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
GET /cmn/computed-queries/workflow-presets HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]OK
Adhoc Preset
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Was kann mit diesem Preset abgebildet werden QUERY oder STATEMENT
QUERYPossible values: template dem dieser filter zugeordnet worden ist.
templateGroupKey dem dieser filter zugeordnet worden ist.
label für diesen filter
bei mode == STATEMENT, das vql-query
für Workflows vorgesehen
falseIdentifier einer OutputReportGroup (moduleKey=cunit), die als Druckvorlage für dieses Preset verwendet wird
GET /cmn/computed-queries/workflow-presets/{id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"mode": "QUERY",
"templateId": "text",
"templateGroupKey": "text",
"label": "text",
"uiPayload": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"nodeType": "ARRAY",
"valueNode": true,
"container": true,
"integralNumber": true,
"floatingPointNumber": true,
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"binary": true,
"number": true,
"embeddedValue": true
},
"variables": [],
"queryStatement": "text",
"queryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"results": [],
"sortAndOrders": [],
"pageable": {
"limit": 1
},
"option": {
"distinctResult": true
},
"transformations": [],
"arithmeticQueryTerms": [],
"definition": [
{
"_type": "text",
"definition": "[Circular Reference]",
"value": "[Circular Reference]"
}
],
"permissionAggregation": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userPermissions": [],
"groupPermissions": [],
"operationForAllUsers": "READ_ONLY"
},
"forWorkflow": false,
"outputReportGroupIdentifier": "text",
"userOptions": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"pinned": false
}
}OK
Eine Entity im CUnit-Modell mit ihren Attributen
Der einfache Identifier der Entity (z.B. 'AccountEntity')
Der vollqualifizierte Identifier der Entity (z.B. 'ag.vario.erp.account.AccountEntity')
Der Anzeigename der Entity
Der Tabellenname der Entity in der Datenbank
GET /cmn/computed-queries/fields HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]OK
GET /cmn/computed-queries/dialect-info HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"functions": [],
"dataTypes": []
}Last updated
Was this helpful?